<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE hibernate-configuration PUBLIC "-//Hibernate/Hibernate Configuration DTD 3.0//EN" "http://hibernate.sourceforge.net/hibernate-configuration-3.0.dtd">
<hibernate-configuration>
    <session-factory>
        <property name="hibernate.dialect">org.hibernate.dialect.MySQLDialect</property>
        <property name="hibernate.connection.driver_class">com.mysql.cj.jdbc.Driver</property>
        <property name="hibernate.connection.url">${hibernate.connection.url}</property>
        <property name="hibernate.connection.username">${hibernate.connection.username}</property>
        <property name="hibernate.connection.password">${hibernate.connection.password}</property>
        <property name="hibernate.connection.noAccessToProcedureBodies">${hibernate.connection.noAccessToProcedureBodies}</property>
        <property name="hibernate.connection.useSSL">${hibernate.connection.useSSL}</property>
        <!-- Fin -->
        <property name="hibernate.c3p0.min_size">20</property>
        <property name="hibernate.c3p0.max_size">50</property>
        <property name="hibernate.c3p0.timeout">1800</property>
        <property name="hibernate.c3p0.max_statements">50</property>
        <property name="hibernate.c3p0.idle_test_period">1500</property>
        <property name="hibernate.show_sql">false</property>
        <property name="hibernate.format_sql">false</property>
        <property name="hibernate.enable_lazy_load_no_trans">true</property>
        <property name="hibernate.current_session_context_class">thread</property>
        <mapping resource="com/arrebol/taxiservicios/model/core/Person.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/core/PersonCommercialInvoice.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/core/User.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/core/Address.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/core/ContactNumber.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/core/Permission.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/core/UserHasPermission.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/core/SystemProperty.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/catalog/Brand.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/catalog/Vehicle.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/catalog/Color.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/catalog/Location.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/Taxi.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/Reference.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/Service.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/PersonHasService.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/Contract.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/ContractHasService.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/StableGeneralBox.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/StableSmallBox.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/ClosingDay.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/ClosingDayDetail.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/Bitacora.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/Transfer.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/view/jaas/SecurityAuthentication.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/view/jaas/SecurityAuthorization.hbm.xml"/>
        <mapping resource="com/crov/prase/model/view/PersonListView.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/mutual/MutualAdd.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/mutual/MutualOut.hbm.xml"/>        
        <mapping class="com.arrebol.taxiservicios.model.catalog.RegimenFiscal"/>
        <mapping resource="com/arrebol/taxiservicios/model/catalog/BankCard.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/catalog/ExpenseIncomeCatalog.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/Expense.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/stocktaking/ServiceOrder.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/view/report/PaymentClient.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/stocktaking/ServiceOrderHasProduct.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/catalog/Product.hbm.xml"/>
        <mapping class="com.arrebol.taxiservicios.model.catalog.ClaveUnidad"/>
        <mapping class="com.arrebol.taxiservicios.model.catalog.ClaveProductoServicio"/>
        <mapping resource="com/arrebol/taxiservicios/model/stocktaking/InvoiceHasProduct.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/stocktaking/ProductInvoiceBk.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/stocktaking/Invoice.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/GeneralPublic.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/ReleaseResource.hbm.xml"/>
        
        <mapping resource="com/arrebol/taxiservicios/model/admin/EmployeeSanction.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/ExpenseCompany.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/Taxes.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/TransferMoneyLocation.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/payroll/Payroll.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/payroll/Adelantos.hbm.xml"/>
        
        <mapping class="com.crov.prase.model.catalog.Hospitales"/>
        <mapping class="com.crov.prase.model.catalog.Talleres"/>
        <mapping class="com.crov.prase.model.catalog.TipoSiniestro"/>
        <mapping class="com.crov.prase.model.catalog.TipoPoliza"/>
        <mapping class="com.crov.prase.model.catalog.TipoRiesgo"/>
        <mapping class="com.crov.prase.model.catalog.Despacho"/>
        <mapping class="com.crov.prase.model.prase.Poliza"/>
        <mapping class="com.crov.prase.model.prase.PagosPoliza"/>
        <mapping class="com.crov.prase.model.prase.HistorialAbonoMultiple"/>
        <mapping class="com.crov.prase.model.prase.DetellePagoPoliza"/>
        <mapping class="com.arrebol.taxiservicios.model.catalog.UserLocation"/>
        
        <mapping class="com.crov.prase.model.prase.Incidence"/>
        <mapping class="com.crov.prase.model.prase.IncidenceDamage"/>
        <mapping class="com.crov.prase.model.prase.IncidenceOwnDriver"/>
        <mapping class="com.crov.prase.model.prase.IncidenceStory"/>
        <mapping class="com.crov.prase.model.prase.IncidenceThirdPartyVehicle"/>
        <mapping class="com.crov.prase.model.prase.IncidenceEvidencia"/>
        <mapping class="com.crov.prase.model.prase.UsoVehiculo"/>
        <mapping class="com.crov.prase.model.prase.OpcionesUsoVehiculo"/>
        <mapping class="com.crov.prase.model.prase.PaquetesCobertura"/>
        <mapping class="com.crov.prase.model.prase.Coberturas"/>
        <mapping class="com.crov.prase.model.prase.SolicitudDevolucionDetellePagoPoliza"/>
        <mapping class="com.crov.prase.model.prase.SolicitudCancelacionPoliza"/>
        <!-- Queries for Table mapping -->
        
               
        <mapping resource="com/arrebol/taxiservicios/model/queries/user-named-queries.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/queries/person-named-queries.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/queries/permission-named-queries.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/queries/user-has-permission-named-queries.hbm.xml"/>
        

    </session-factory>
</hibernate-configuration>
